Subject: bug#65014: closed (Re: bug#65014: Configure Default Values)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Aug 2023 13:32:02 +0000

Your bug report

#65014: Configure Default Values

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65014: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65014
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65014: Configure Default Values
From: Po Lu <[email-masked]>
To: Jacob Faibussowitsch <[email-masked]>
Cc: [email-masked]
Date: Wed, 02 Aug 2023 21:31:02 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Jacob Faibussowitsch <[email-masked]> writes:

> Hello,
>
> TL;DR: What packages does configure enable by default, i.e. do not
> require a --with-PACKAGE flag to explicitly enable? Moreover, what are
> the best practices for configuring emacs that don’t require min-maxing
> your configuration options every time.
>
> ——
>
> I like to configure my emacs install to be as (reasonably) fully
> featured as possible, so I peruse the ./configure --help options from
> time to time to see if any new packages are available. If I notice a
> package I don’t have in my list of --with-package I add it, and
> reconfigure.
>
> But my configure command is now pretty long, and it strikes me that
> this brittle in the face of changes to configure. Suppose there is a
> change in best practices, and now --with-FOO is better than
> --with-BAR, but because I have --with-BAR (and forgot to remove it),
> configure won’t look for FOO. My emacs conf will be slightly
> suboptimal (perish the thought!) and I won’t be any the wiser.
>
> Best regards,
>
> Jacob Faibussowitsch
> (Jacob Fai - booss - oh - vitch)

Hi, questions about building Emacs should be directed to
[email-masked], not the bug tracker.  To answer them, however,
refer to INSTALL, which explains available configuration options in
detail.

Generally speaking, running `configure' without any arguments will
produce an Emacs with a configuration that is reasonable for most
users.

Subject: Configure Default Values
From: Jacob Faibussowitsch <[email-masked]>
To: [email-masked]
Date: Wed, 2 Aug 2023 08:16:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

TL;DR: What packages does configure enable by default, i.e. do not require a --with-PACKAGE flag to explicitly enable? Moreover, what are the best practices for configuring emacs that don’t require min-maxing your configuration options every time.

——

I like to configure my emacs install to be as (reasonably) fully featured as possible, so I peruse the ./configure --help options from time to time to see if any new packages are available. If I notice a package I don’t have in my list of --with-package I add it, and reconfigure. 

But my configure command is now pretty long, and it strikes me that this brittle in the face of changes to configure. Suppose there is a change in best practices, and now --with-FOO is better than --with-BAR, but because I have --with-BAR (and forgot to remove it), configure won’t look for FOO. My emacs conf will be slightly suboptimal (perish the thought!) and I won’t be any the wiser.

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)